For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • POSTCall Tool
      • POSTLog to a Tool
      • PATCHUpdate Tool Log
      • GETList Tools
      • POSTUpsert Tool
      • GETGet Tool
      • DELDelete Tool
      • PATCHMove Tool
      • GETList Versions of a Tool
      • DELDelete Tool Version
      • PATCHUpdate Tool Version
      • POSTDeploy Tool
      • DELRemove Deployment
      • GETList a Tool's Environments
      • POSTUpdate Monitoring
      • GETGet Environment Variables
      • POSTAdd Environment Variable
      • DELDelete Environment Variable
LogoLogo
Sign inBook a demo
APITools

List a Tool's Environments

GET
https://api.humanloop.com/v5/tools/:id/environments
GET
/v5/tools/:id/environments
$curl https://api.humanloop.com/v5/tools/tl_789ghi/environments \
> -H "X-API-KEY: <apiKey>"
1[
2 {
3 "id": "tl_789ghi",
4 "created_at": "2024-05-01T12:00:00Z",
5 "name": "production",
6 "tag": "default",
7 "file": {
8 "id": "tl_789ghi",
9 "path": "math-tool",
10 "name": "math-tool",
11 "version_id": "tv_012jkl",
12 "type": "tool",
13 "created_at": "2024-05-01T12:00:00Z",
14 "updated_at": "2024-05-01T12:00:00Z",
15 "version_name": "math-tool-v1",
16 "version_description": "Simple math tool that multiplies two numbers",
17 "last_used_at": "2024-05-01T12:00:00Z",
18 "version_logs_count": 1,
19 "total_logs_count": 1,
20 "inputs": [
21 {
22 "name": "operation"
23 }
24 ]
25 }
26 }
27]
List all Environments and their deployed versions for the Tool.
Was this page helpful?
Previous

Update Monitoring

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Tool.

Response

Successful Response
idstring
created_atdatetime
namestring
tagenum
An enumeration.
Allowed values:
fileobject
The version of the File that is deployed to the Environment, if one is deployed.

Errors

422
List Environments Tools ID Environments Get Request Unprocessable Entity Error